## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global project_owner MapServer
%global project_name tinyows

Name:      tinyows
Version:   1.2.2
Release:   %autorelease
Summary:   PostGIS WFS-T and FE implementation server

License:   MIT
URL:       https://mapserver.org/tinyows/

Source0:   https://github.com/%{project_owner}/%{project_name}/archive/v%{version}/%{project_name}-%{version}.tar.gz

Source1:   no_date_footer.html

Requires:  httpd 

BuildRequires: autoconf
BuildRequires: ctags
BuildRequires: doxygen
BuildRequires: gcc
BuildRequires: indent
BuildRequires: flex
BuildRequires: libfl-static
BuildRequires: libxml2-devel
BuildRequires: postgis
BuildRequires: postgis-client
BuildRequires: postgresql-devel

%ifarch %valgrind_arches
BuildRequires: valgrind-devel
%endif

%description
TinyOWS server implements latest Open Geospatial Consortium Transactional Web
Feature Service (WFS-T) standard versions, as well as related standards such as
Filter Encoding (FE).

%package doc
Summary: Documentation files for TinyOWS Server
BuildArch: noarch

%description doc
TinyOWS server implements latest Open Geospatial Consortium Transactional Web
Feature Service (WFS-T) standard versions, as well as related standards such as
Filter Encoding (FE).

%prep
%setup -q -n %{name}-%{version}

# clean SVN
find . -type d -name .svn -exec rm -rf '{}' +

# copy no_date_footer.html in
cp %{SOURCE1} .

%build
autoconf
%configure

# fix datadir lookup path
sed -i -e 's|/usr/tinyows/|%{_datadir}/%{name}/|' src/ows_define.h
# fix DSO lookup
sed -i -e 's|-lpq|-lpq -lm|' Makefile

# respect fedora ldflags
sed -i -e 's|-lfl $(POSTGIS_LIB)|-lfl $(LDFLAGS) $(POSTGIS_LIB)|' Makefile

%make_build

# disable timestamp inside docs
sed -i -e 's|HTML_FOOTER|HTML_FOOTER=no_date_footer.html\n\#|g' doc/Doxyfile
make doxygen

%install
install -d %{buildroot}%{_bindir}
install -p -m 0755 tinyows %{buildroot}%{_bindir}/
install -d %{buildroot}%{_datadir}/%{name}
cp -pR schema %{buildroot}%{_datadir}/%{name}/
install -d %{buildroot}%{_sysconfdir}/%{name}
install -p -m 0644 ms4w/apps/tinyows-svn/config.xml %{buildroot}%{_sysconfdir}/%{name}

ln -s --relative %{buildroot}%{_sysconfdir}/%{name}/config.xml %{buildroot}%{_datadir}/%{name}/

mkdir -p %{buildroot}%{_pkgdocdir}
cp -a doc/doxygen %{buildroot}%{_pkgdocdir}/
hardlink --ignore-time --reflink=never %{buildroot}%{_pkgdocdir}/

# NOTE(neil): 2024-08-25 tests require a postgres database running; unable to run in check
# https://github.com/MapServer/tinyows/blob/f1dc7bc86fc4d69faddd79ed2804d98c11802ba8/.github/workflows/linux.sh#L19-L22
%dnl %check

%files
%license LICENSE.md schema/LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}
%dir %{_sysconfdir}/%{name}
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/config.xml

%files doc
%doc README.md VERSION.md
%doc %{_pkgdocdir}/doxygen

%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Sep 18 2024 Neil Hanlon <neil@shrug.pw> - 1.2.2-5
- rpmlint: hardlink docs to address warnings

* Wed Sep 18 2024 Neil Hanlon <neil@shrug.pw> - 1.2.2-4
- respect fedora LDFLAGS

* Wed Sep 18 2024 Neil Hanlon <neil@shrug.pw> - 1.2.2-3
- address final review comments

* Tue Aug 20 2024 Neil Hanlon <neil@shrug.pw> - 1.2.2-1
- update to 1.2.2 for re-review

* Mon Jun 07 2010 Balint Cristian <cristian.balint@gmail.com> - 0.8.0-1
- new upstream

* Thu Mar 18 2010 Balint Cristian <rezso@rdsor.ro> - 0.7.0-1
- new upstream

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jan 05 2009 Balint Cristian <rezso@rdsor.ro> - 0.6.0-3
- initial import

* Thu Sep 25 2008 Balint Cristian <rezso@rdsor.ro> - 0.6.0-2
- shorter summary description

* Thu Sep 25 2008 Balint Cristian <rezso@rdsor.ro> - 0.6.0-1
- initial package for fedora 

## END: Generated by rpmautospec
